<?php

namespace IQBall\Core\Validator;

use IQBall\Core\Data\TacticInfo;
use IQBall\Core\Validation\ValidationFail;

class TacticValidator {
    /**
     * @param TacticInfo|null $tactic
     * @param int $tacticId
     * @param int $ownerId
     * @return ValidationFail|null
     */
    public static function validateAccess(?TacticInfo $tactic, int $tacticId, int $ownerId): ?ValidationFail {
        if ($tactic == null) {
            return ValidationFail::notFound("La tactique $tacticId n'existe pas");
        }

        if ($tactic->getOwnerId() != $ownerId) {
            return ValidationFail::unauthorized("Vous ne pouvez pas accéder à cette tactique.");
        }

        return null;
    }
}
